News

Oct 4th Expiration of DST Root CA X3 in Let's Encrypt

Hi As you know, due to the expiration of DST Root CA X3 Cert in LetsEncrypt, some sites have had SSL problems since yesterday. Some licenses are affected and below you can fix it Update server using yum update command https://support.cpanel.net/hc/en-us/articles/4409770365335 ... Read More »